libbonobo2-common_2.32.1-3_all.deb


Advertisement

Description

libbonobo2-common - Bonobo CORBA interfaces library -- support files

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libbonobo2-common_2.32.1-3_all.deb
Package name libbonobo2-common
Package version 2.32.1
Package release 3
Package architecture all
Package type deb
Category devel
Homepage -
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 33.89 KB
Installed size 288.00 KB
Bonobo is a set of language and system independent CORBA interfaces
for creating reusable components, controls and creating compound
documents.
The Bonobo distribution includes a Gtk+ based implementation of the
Bonobo interfaces, enabling developers to create reusable
components and applications that can be used to form more complex
documents.
This package contains the support files needed by the Bonobo library.

Alternatives

Package Version Architecture Repository
libbonobo2-common_2.32.1-3_all.deb 2.32.1 all Ubuntu Main
libbonobo2-common - - -

Conflicts

Name Value
bonobo-activation << 1:2.4

Replaces

Name Value
bonobo-activation << 1:2.4

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libbonobo2-common_2.32.1-3_all.deb
Source Package libbonobo

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libbonobo2-common deb package:
    # sudo apt-get install libbonobo2-common

Files

Path
/etc/bonobo-activation/bonobo-activation-config.xml
/usr/share/doc/libbonobo2-common/AUTHORS
/usr/share/doc/libbonobo2-common/NEWS.gz
/usr/share/doc/libbonobo2-common/README
/usr/share/doc/libbonobo2-common/TODO
/usr/share/doc/libbonobo2-common/changelog.Debian.gz
/usr/share/doc/libbonobo2-common/changes.txt.gz
/usr/share/doc/libbonobo2-common/copyright
/usr/share/idl/bonobo-2.0/Bonobo.idl
/usr/share/idl/bonobo-2.0/Bonobo_Application.idl
/usr/share/idl/bonobo-2.0/Bonobo_Canvas.idl
/usr/share/idl/bonobo-2.0/Bonobo_Clipboard.idl
/usr/share/idl/bonobo-2.0/Bonobo_Context.idl
/usr/share/idl/bonobo-2.0/Bonobo_Control.idl
/usr/share/idl/bonobo-2.0/Bonobo_Embeddable.idl
/usr/share/idl/bonobo-2.0/Bonobo_Exception.idl
/usr/share/idl/bonobo-2.0/Bonobo_Gdk.idl
/usr/share/idl/bonobo-2.0/Bonobo_ItemContainer.idl
/usr/share/idl/bonobo-2.0/Bonobo_Listener.idl
/usr/share/idl/bonobo-2.0/Bonobo_Moniker.idl
/usr/share/idl/bonobo-2.0/Bonobo_Persist.idl
/usr/share/idl/bonobo-2.0/Bonobo_Print.idl
/usr/share/idl/bonobo-2.0/Bonobo_Property.idl
/usr/share/idl/bonobo-2.0/Bonobo_Sample_Echo.idl
/usr/share/idl/bonobo-2.0/Bonobo_Storage.idl
/usr/share/idl/bonobo-2.0/Bonobo_UI.idl
/usr/share/idl/bonobo-2.0/Bonobo_Zoomable.idl
/usr/share/idl/bonobo-activation-2.0/Bonobo_ActivationContext.idl
/usr/share/idl/bonobo-activation-2.0/Bonobo_Activation_types.idl
/usr/share/idl/bonobo-activation-2.0/Bonobo_GenericFactory.idl
/usr/share/idl/bonobo-activation-2.0/Bonobo_ObjectDirectory.idl
/usr/share/idl/bonobo-activation-2.0/Bonobo_Unknown.idl
/usr/share/man/man1/bonobo-activation-server.1.gz

Changelog

2013-11-22 - Josselin Mouette <joss@debian.org>
libbonobo (2.32.1-3) unstable; urgency=low
* Migrate to multi-arch. Closes: #677778. Based on the Ubuntu work.
+ Bump debhelper compat level.
+ Make runtime and development MA: same, -common is MA: foreign.
+ Require a multi-arch orbit2.
+ Update libdir.
+ Move server files to libbonobo2-0 and libbonobo2-bin.
+ 04_multiarch_compat_path.patch: new patch. Use configuration file 
to maintain compatibility with earlier versions.
+ 05_multiarch_temp_path.patch: new patch. Use different paths for 
lock/IOR files, so that bonobo applications from different 
architectures work completely independently from each other. It 
would be theoretically possible to make applications use 
components from other architectures, but bonobo was not designed 
this way and is deprecated upstream, so let’s keep things working 
the way they do.
+ Pass the multiarch triplet through a -D flag for the benefit of 
the latter patch.
+ Bump shlibs to take the new servers directory into account.
+ 06_sample_paths.patch: new patch. Fix installation paths for the 
example to make them work with multiarch.
* Drop *.la files.
2013-11-06 - Balint Reczey <balint@balintreczey.hu>
libbonobo (2.32.1-2) unstable; urgency=low
* Don't use srcdir in tests/Makefile.am (Closes: #713695)
2013-05-11 - Emilio Pozuelo Monfort <pochu@debian.org>
libbonobo (2.32.1-1) unstable; urgency=low
* New upstream release.
+ debian/control.in:
- Updated build dependencies.
* debian/source/format,
debian/patches/series,
debian/rules:
+ Switch to source format 3.0 (quilt).
* debian/patches/01_disable_deprecated.patch:
+ Patch from upstream git, don't define G_DISABLE_DEPRECATED.
Fixes FTBFS. Closes: #707382.
* debian/control.in,
debian/rules:
+ Run dh-autoreconf, needed by the above patch.
* debian/patches/02_link_add_libraries.patch:
+ Fix some sample programs not linking.
2010-04-05 - David Weinehall <tao@debian.org>
libbonobo (2.24.3-1) unstable; urgency=low
* New upstream bugfix release.
* debian/control.in:
+ Bump Standards version to 3.8.4 (No changes needed).
* debian/rules,
debian/libbonobo2-0.links,
debian/libbonobo2-bin.links,
debian/libbonobo2-dev.links,
debian/libbonobo2-0.preinst,
debian/libbonobo2-bin.preinst,
debian/libbonobo2-dev.preinst:
+ Stop symlinking the doc directories; fixes FTBFS when dh-buildinfo
is installed.
2009-09-26 - Josselin Mouette <joss@debian.org>
libbonobo (2.24.2-1) unstable; urgency=low
* Build-depend on libglib2.0-doc to ensure proper xrefs.
* New upstream translation release.
2009-03-06 - Sebastian Dröge <slomo@debian.org>
libbonobo (2.24.1-1) unstable; urgency=low
* New upstream bugfix release.
* debian/control.in:
+ Build depend on GLib >= 2.14.0.
2009-02-18 - Josselin Mouette <joss@debian.org>
libbonobo (2.24.0-2) unstable; urgency=low
* Upload to unstable. Closes: #516025.
2008-11-11 - Josselin Mouette <joss@debian.org>
libbonobo (2.24.0-1) experimental; urgency=low
* New upstream release.
+ Exits when the session bus is closed. Closes: #331000.
* Update build-dependencies to take dbus into account.
* Standards version is 3.8.0.
* Recommend dbus-x11.
2008-03-14 - Sebastian Dröge <slomo@debian.org>
libbonobo (2.22.0-1) unstable; urgency=low
* New upstream stable release.
2008-01-30 - Loic Minier <lool@dooz.org>
libbonobo (2.21.90-1) unstable; urgency=low
* New upstream development release with stable changes; no API change; fixes
build with new glib.

See Also

Package Description
libbonobo2-dev_2.32.1-3_amd64.deb Bonobo CORBA interfaces library -- development files
libbonoboui2-0_2.24.5-3ubuntu1_amd64.deb Bonobo UI library - runtime
libbonoboui2-common_2.24.5-3ubuntu1_all.deb Bonobo UI library - common files
libbonoboui2-dev_2.24.5-3ubuntu1_amd64.deb Bonobo UI library - development files
libboost-date-time1.58.0_1.58.0+dfsg-5ubuntu3_amd64.deb set of date-time libraries based on generic programming concepts
libboost-dev_1.58.0.1ubuntu1_amd64.deb Boost C++ Libraries development files (default version)
libboost-doc_1.58.0.1ubuntu1_all.deb Boost.org libraries documentation (default version)
libboost-filesystem1.58.0_1.58.0+dfsg-5ubuntu3_amd64.deb filesystem operations (portable paths, iteration over directories, etc) in C++
libboost-iostreams1.58.0_1.58.0+dfsg-5ubuntu3_amd64.deb Boost.Iostreams Library
libboost-program-options-dev_1.58.0.1ubuntu1_amd64.deb program options library for C++ (default version)
libboost-program-options1.58-dev_1.58.0+dfsg-5ubuntu3_amd64.deb program options library for C++
libboost-program-options1.58.0_1.58.0+dfsg-5ubuntu3_amd64.deb program options library for C++
libboost-random1.58.0_1.58.0+dfsg-5ubuntu3_amd64.deb Boost Random Number Library
libboost-regex1.58.0_1.58.0+dfsg-5ubuntu3_amd64.deb regular expression library for C++
libboost-system1.58.0_1.58.0+dfsg-5ubuntu3_amd64.deb Operating system (e.g. diagnostics support) library
Advertisement
Advertisement